# Visa ID and Credential
One API integration to manage consumer identities and payment credentials across Visa services. Issuers and their processors enroll, update, retrieve and remove consumer and credential data through a single set of endpoints, and choose which Visa products each operation applies to, including Click to Pay, Address Verification Service, Alias Directory Service and Account Name Inquiry.

## Version: 1

### Servers

| URL | Description |
| --- | ----------- |
| https://sandbox.api.visa.com | Sandbox server |

---
## Enroll Data
Enroll Data API

### [POST] /visaIdCredential/v1/enrollPaymentInstruments
**Enroll Payment Instruments**

This API enrolls a payment credential for the given consumer ID

#### Parameters

| Name | Located in | Description | Required | Schema | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ------- |
| eX-Correlation-Id | header | Unique ID for every API request - an optional header. Generated by the API client. Used for end-to-end tracing/debugging. | No | string | No |

#### Request Body

| Required | Schema |
| -------- | ------ |
|  No | **application/json**: { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"paymentInstruments"**: [ { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"expirationDate"**: string (ISO 8601), **"isAFAuthentication"**: boolean, **"isPaymentInstrumentConsent"**: boolean } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"address"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN", **"countryCode"**: string (ISO 3166-1-alpha3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", **"bankIdentifierCode"**: string } ], **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } } or { **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"paymentInstruments"**: [ { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"expirationDate"**: string (ISO 8601), **"isAFAuthentication"**: boolean, **"isPaymentInstrumentConsent"**: boolean } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"address"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN", **"countryCode"**: string (ISO 3166-1-alpha3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", **"bankIdentifierCode"**: string } ], **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } } or { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"paymentInstruments"**: [ { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"expirationDate"**: string (ISO 8601), **"isAFAuthentication"**: boolean, **"isPaymentInstrumentConsent"**: boolean } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"address"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN", **"countryCode"**: string (ISO 3166-1-alpha3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", **"bankIdentifierCode"**: string } ], **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 202 | Accepted<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"requestTraceId"**: string (uuid) }<br> |
| 400 | When any field validation fails or when any required field is missing or when request is inconsistent with the Request definitions.<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }<br> |
| 500 | Server Error<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"message"**: string }<br> |

### [PUT] /visaIdCredential/v1/enrollData/{externalConsumerId}
**Enroll Existing Issuer Data with Payment Instrument**

This API enrolls consumer info and one payment credential. This API can be used when adding a consumer and card that has already been enrolled in Click to Pay / SRC to another service, i.e. Alias Directory. The external ConsumerID cannot be used when the consumer has been enrolled in a product other than Click to Pay.

#### Parameters

| Name | Located in | Description | Required | Schema | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ------- |
| eX-Correlation-Id | header | Unique ID for every API request - an optional header. Generated by the API client. Used for end-to-end tracing/debugging. | No | string | No |
| externalConsumerId | path | Issuer of Visa provided consumer ID as uuid | Yes | string (uuid) | No |

#### Request Body

| Required | Schema |
| -------- | ------ |
|  No | **application/json**: { **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"paymentInstruments"**: [ { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA CARD", **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"expirationDate"**: string (ISO 8601), **"AFAuthentication"**: boolean, **"paymentInstrumentConsent"**: boolean } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"address"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN", **"countryCode"**: string (ISO 3166-1-alpha3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", **"bankIdentifierCode"**: string } ], **"externalConsumerIDOwnerBID"**: string }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 202 | Accepted<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"requestTraceId"**: string (uuid) }<br> |
| 400 | When any field validation fails or when any required field is missing or when request is inconsistent with the Request definitions.<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }<br> |
| 500 | Server Error<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"message"**: string }<br> |

### [POST] /visaIdCredential/v1/enrollData
**Enroll Data**

This API enrolls consumer info and one payment credential

#### Parameters

| Name | Located in | Description | Required | Schema | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ------- |
| eX-Correlation-Id | header | Unique ID for every API request - an optional header. Generated by the API client. Used for end-to-end tracing/debugging. | No | string | No |

#### Request Body

| Required | Schema |
| -------- | ------ |
|  No | **application/json**: { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"paymentInstruments"**: [ { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"expirationDate"**: string (ISO 8601), **"isAFAuthentication"**: boolean, **"isPaymentInstrumentConsent"**: boolean } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"address"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN", **"countryCode"**: string (ISO 3166-1-alpha3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", **"bankIdentifierCode"**: string } ], **"consumerInformation"**: { **"emails"**: [ string ], **"locale"**: string (iso-639-1), **"phones"**: [ string ], **"consent"**: { **"version"**: string, **"presenter"**: string, **"timeOfConsent"**: string }, **"fullName"**: string, **"lastName"**: string, **"firstName"**: string, **"middleName"**: string, **"countryCode"**: string (ISO 3166-1-alpha3), **"dateOfBirth"**: date, **"preferredname"**: string, **"externalConsumerID"**: string (uuid), **"nationalIdentifiers"**: [ { **"type"**: string, <br>**Available values:** "PASSPORT", "DRIVING_LICENSE", "NATIONAL_IDENTITY", **"value"**: string } ], **"externalConsumerIDOwnerBID"**: string } } or { **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"paymentInstruments"**: [ { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"expirationDate"**: string (ISO 8601), **"isAFAuthentication"**: boolean, **"isPaymentInstrumentConsent"**: boolean } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"address"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN", **"countryCode"**: string (ISO 3166-1-alpha3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", **"bankIdentifierCode"**: string } ], **"consumerInformation"**: { **"emails"**: [ string ], **"locale"**: string (iso-639-1), **"phones"**: [ string ], **"consent"**: { **"version"**: string, **"presenter"**: string, **"timeOfConsent"**: string }, **"fullName"**: string, **"lastName"**: string, **"firstName"**: string, **"middleName"**: string, **"countryCode"**: string (ISO 3166-1-alpha3), **"dateOfBirth"**: date, **"preferredname"**: string, **"externalConsumerID"**: string (uuid), **"nationalIdentifiers"**: [ { **"type"**: string, <br>**Available values:** "PASSPORT", "DRIVING_LICENSE", "NATIONAL_IDENTITY", **"value"**: string } ], **"externalConsumerIDOwnerBID"**: string } } or { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"paymentInstruments"**: [ { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"expirationDate"**: string (ISO 8601), **"isAFAuthentication"**: boolean, **"isPaymentInstrumentConsent"**: boolean } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"address"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN", **"countryCode"**: string (ISO 3166-1-alpha3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", **"bankIdentifierCode"**: string } ], **"consumerInformation"**: { **"emails"**: [ string ], **"locale"**: string (iso-639-1), **"phones"**: [ string ], **"consent"**: { **"version"**: string, **"presenter"**: string, **"timeOfConsent"**: string }, **"fullName"**: string, **"lastName"**: string, **"firstName"**: string, **"middleName"**: string, **"countryCode"**: string (ISO 3166-1-alpha3), **"dateOfBirth"**: date, **"preferredname"**: string, **"externalConsumerID"**: string (uuid), **"nationalIdentifiers"**: [ { **"type"**: string, <br>**Available values:** "PASSPORT", "DRIVING_LICENSE", "NATIONAL_IDENTITY", **"value"**: string } ], **"externalConsumerIDOwnerBID"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 202 | Accepted<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"requestTraceId"**: string (uuid) }<br> |
| 400 | When any field validation fails or when any required field is missing or when request is inconsistent with the Request definitions.<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }<br> |
| 500 | Server Error<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"message"**: string }<br> |

### [PUT] /visaIdCredential/v1/enrollData/{externalConsumerId}/paymentInstruments/{referenceId}
**Enroll Existing Issuer Data with Payment Instrument Reference**

This API enrolls consumer info for a known payment instrument identified by paymentInstrumentRef. This API can be used when adding a consumer and card that has already been enrolled in Click to Pay / SRC to another service, i.e. Alias Directory. The external ConsumerID and paymentInstrumentRef must be known. The required referenceType field in the request body specifies what type of identifier is provided in paymentInstrumentRef — currently PAYMENT_ACCOUNT_REFERENCE is supported.

#### Parameters

| Name | Located in | Description | Required | Schema | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ------- |
| eX-Correlation-Id | header | Unique ID for every API request - an optional header. Generated by the API client. Used for end-to-end tracing/debugging. | No | string | No |
| externalConsumerId | path | Issuer of Visa provided consumer ID as uuid | Yes | string (uuid) | No |
| paymentInstrumentRef | path | The identifier for the payment instrument. The type of identifier is controlled by the required referenceType query parameter. PAYMENT_ACCOUNT_REFERENCE values are exactly 29 characters.  | Yes | string | No |

#### Request Body

| Required | Schema |
| -------- | ------ |
|  No | **application/json**: { **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"referenceType"**: string, <br>**Available values:** "PAYMENT_ACCOUNT_REFERENCE", **"externalConsumerIDOwnerBID"**: string }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 202 | Accepted<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"requestTraceId"**: string (uuid) }<br> |
| 400 | When any field validation fails or when any required field is missing or when request is inconsistent with the Request definitions.<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }<br> |
| 500 | Server Error<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"message"**: string }<br> |

---
## Status
Status API

### [GET] /visaIdCredential/v1/requestStatus/{requestTraceId}
**Request Status by Request Trace ID**

This API helps Issuers/Client to find out status of data changes submitted to Visa

#### Parameters

| Name | Located in | Description | Required | Schema | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ------- |
| requestTraceId | path |  | Yes | string (uuid) | No |
| eX-Correlation-Id | header | Unique ID for every API request - an optional header. Generated by the API client. Used for end-to-end tracing/debugging. | No | string | No |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | Status of submitted request to be fetched using request Trace ID<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"status"**: string, <br>**Available values:** "IN_PROGRESS", "COMPLETED", **"details"**: [ { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"status"**: string, <br>**Available values:** "SUCCESS", "FAILED", **"errorDetails"**: [ { **"field"**: string, **"reason"**: string, **"message"**: string } ] } ], **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } } or { **"status"**: string, <br>**Available values:** "IN_PROGRESS", "COMPLETED", **"details"**: [ { **"status"**: string, <br>**Available values:** "SUCCESS", "IN_PROGRESS", "FAILED", **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"errorDetails"**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string } } ], **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } } or { **"status"**: string, <br>**Available values:** "IN_PROGRESS", "COMPLETED", **"details"**: [ { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"status"**: string, <br>**Available values:** "SUCCESS", "IN_PROGRESS", "FAILED", **"errorDetails"**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string } } or { **"status"**: string, <br>**Available values:** "SUCCESS", "IN_PROGRESS", "FAILED", **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"errorDetails"**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string } } ], **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } }<br> |
| 400 | When any field validation fails or when any required field is missing or when request is inconsistent with the Request definitions.<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }<br> |
| 500 | Server Error<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"message"**: string }<br> |

---
## Lifecycle Management
Lifecycle Management API

### [PUT] /visaIdCredential/v1/managePaymentInstruments
**Manage Payment Instruments Data**

This API to update Payment Information

#### Parameters

| Name | Located in | Description | Required | Schema | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ------- |
| eX-Correlation-Id | header | Unique ID for every API request - an optional header. Generated by the API client. Used for end-to-end tracing/debugging. | No | string | No |

#### Request Body

| Required | Schema |
| -------- | ------ |
|  No | **application/json**: { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"paymentInstruments"**: [ { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"expirationDate"**: string (ISO 8601), **"isAFAuthentication"**: boolean, **"isPaymentInstrumentConsent"**: boolean } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"address"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN", **"countryCode"**: string (ISO 3166-1-alpha3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", **"bankIdentifierCode"**: string } ], **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } } or { **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"paymentInstruments"**: [ { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"expirationDate"**: string (ISO 8601), **"isAFAuthentication"**: boolean, **"isPaymentInstrumentConsent"**: boolean } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"address"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN", **"countryCode"**: string (ISO 3166-1-alpha3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", **"bankIdentifierCode"**: string } ], **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } } or { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"paymentInstruments"**: [ { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"expirationDate"**: string (ISO 8601), **"isAFAuthentication"**: boolean, **"isPaymentInstrumentConsent"**: boolean } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"address"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN", **"countryCode"**: string (ISO 3166-1-alpha3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", **"bankIdentifierCode"**: string } ], **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 202 | Accepted<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"requestTraceId"**: string (uuid) }<br> |
| 400 | When any field validation fails or when any required field is missing or when request is inconsistent with the Request definitions.<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }<br> |
| 500 | Server Error<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"message"**: string }<br> |

### [PUT] /visaIdCredential/v1/manageConsumerInformation
**Manage Consumer Information Data**

This API to update consumer information

#### Parameters

| Name | Located in | Description | Required | Schema | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ------- |
| eX-Correlation-Id | header | Unique ID for every API request - an optional header. Generated by the API client. Used for end-to-end tracing/debugging. | No | string | No |

#### Request Body

| Required | Schema |
| -------- | ------ |
|  No | **application/json**: { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"consumerInformation"**: { **"emails"**: [ string ], **"locale"**: string (iso-639-1), **"phones"**: [ string ], **"status"**: string, <br>**Available values:** "ACTIVE", "DISABLED", **"consent"**: { **"version"**: string, **"presenter"**: string, **"timeOfConsent"**: string }, **"fullName"**: string, **"lastName"**: string, **"firstName"**: string, **"middleName"**: string, **"countryCode"**: string (ISO 3166-1-alpha3), **"dateOfBirth"**: date, **"preferredname"**: string, **"externalConsumerID"**: string (uuid), **"nationalIdentifiers"**: [ { **"type"**: string, <br>**Available values:** "PASSPORT", "DRIVING_LICENSE", "NATIONAL_IDENTITY", **"value"**: string } ], **"externalConsumerIDOwnerBID"**: string } } or { **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"consumerInformation"**: { **"emails"**: [ string ], **"locale"**: string (iso-639-1), **"phones"**: [ string ], **"status"**: string, <br>**Available values:** "ACTIVE", "DISABLED", **"consent"**: { **"version"**: string, **"presenter"**: string, **"timeOfConsent"**: string }, **"fullName"**: string, **"lastName"**: string, **"firstName"**: string, **"middleName"**: string, **"countryCode"**: string (ISO 3166-1-alpha3), **"dateOfBirth"**: date, **"preferredname"**: string, **"externalConsumerID"**: string (uuid), **"nationalIdentifiers"**: [ { **"type"**: string, <br>**Available values:** "PASSPORT", "DRIVING_LICENSE", "NATIONAL_IDENTITY", **"value"**: string } ], **"externalConsumerIDOwnerBID"**: string } } or { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"consumerInformation"**: { **"emails"**: [ string ], **"locale"**: string (iso-639-1), **"phones"**: [ string ], **"status"**: string, <br>**Available values:** "ACTIVE", "DISABLED", **"consent"**: { **"version"**: string, **"presenter"**: string, **"timeOfConsent"**: string }, **"fullName"**: string, **"lastName"**: string, **"firstName"**: string, **"middleName"**: string, **"countryCode"**: string (ISO 3166-1-alpha3), **"dateOfBirth"**: date, **"preferredname"**: string, **"externalConsumerID"**: string (uuid), **"nationalIdentifiers"**: [ { **"type"**: string, <br>**Available values:** "PASSPORT", "DRIVING_LICENSE", "NATIONAL_IDENTITY", **"value"**: string } ], **"externalConsumerIDOwnerBID"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 202 | Accepted<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"requestTraceId"**: string (uuid) }<br> |
| 400 | When any field validation fails or when any required field is missing or when request is inconsistent with the Request definitions.<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }<br> |
| 422 | The requested operation is not supported for the specified product (for example, ANI or AVS).<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }<br> |
| 500 | Server Error<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"message"**: string }<br> |

### [POST] /visaIdCredential/v1/deleteConsumerInformation
**Delete Consumer Information Data**

This API to delete consumer info

#### Parameters

| Name | Located in | Description | Required | Schema | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ------- |
| eX-Correlation-Id | header | Unique ID for every API request - an optional header. Generated by the API client. Used for end-to-end tracing/debugging. | No | string | No |

#### Request Body

| Required | Schema |
| -------- | ------ |
|  No | **application/json**: { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } } or { **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } } or { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 202 | Accepted<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"requestTraceId"**: string (uuid) }<br> |
| 400 | When any field validation fails or when any required field is missing or when request is inconsistent with the Request definitions.<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }<br> |
| 422 | The requested operation is not supported for the specified product (for example, ANI or AVS).<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }<br> |
| 500 | Server Error<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"message"**: string }<br> |

### [POST] /visaIdCredential/v1/deletePaymentInstruments
**Delete Payment Instruments Data**

This API to delete payment credential

#### Parameters

| Name | Located in | Description | Required | Schema | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ------- |
| eX-Correlation-Id | header | Unique ID for every API request - an optional header. Generated by the API client. Used for end-to-end tracing/debugging. | No | string | No |

#### Request Body

| Required | Schema |
| -------- | ------ |
|  No | **application/json**: { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"paymentInstruments"**: { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"accountNumber"**: string } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"accountName"**: string, **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT" }, **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } } or { **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"paymentInstruments"**: { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"accountNumber"**: string } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"accountName"**: string, **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT" }, **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } } or { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"paymentInstruments"**: { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"accountNumber"**: string } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"accountName"**: string, **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT" }, **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 202 | Accepted<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"requestTraceId"**: string (uuid) }<br> |
| 400 | When any field validation fails or when any required field is missing or when request is inconsistent with the Request definitions.<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }<br> |
| 500 | Server Error<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"message"**: string }<br> |

### [POST] /visaIdCredential/v1/getData
**Get Data**

This API gets Consumer Information and Payment Credential info for a given product

#### Parameters

| Name | Located in | Description | Required | Schema | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ------- |
| eX-Correlation-Id | header | Unique ID for every API request - an optional header. Generated by the API client. Used for end-to-end tracing/debugging. | No | string | No |

#### Request Body

| Required | Schema |
| -------- | ------ |
|  No | **application/json**: { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } } or { **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } } or { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"products"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string } } ], **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | Get Data | **application/json**: { **"data"**: [ { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"paymentInstruments"**: [ { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"status"**: string, <br>**Available values:** "ACTIVE", "DISABLED", **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"tokenDetails"**: { **"tokenReferenceID"**: string, **"tokenRequestorID"**: string }, **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"expirationDate"**: string (ISO 8601), **"preferredTimestamp"**: dateTime, **"paymentAccountReference"**: string, **"paymentInstrumentReferenceId"**: string } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"status"**: string, <br>**Available values:** "ACTIVE", "DISABLED", **"address"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN", **"countryCode"**: string (ISO 3166-1-alpha3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", **"bankIdentifierCode"**: string, **"preferredTimestamp"**: dateTime } ], **"consumerInformation"**: { **"emails"**: [ string ], **"locale"**: string (iso-639-1), **"phones"**: [ string ], **"status"**: string, <br>**Available values:** "ACTIVE", "DISABLED", **"consent"**: { **"version"**: string, **"presenter"**: string, **"timeOfConsent"**: string }, **"fullName"**: string, **"lastName"**: string, **"firstName"**: string, **"middleName"**: string, **"countryCode"**: string (ISO 3166-1-alpha3), **"dateOfBirth"**: date, **"preferredname"**: string, **"externalConsumerID"**: string (uuid), **"nationalIdentifiers"**: [ { **"type"**: string, <br>**Available values:** "PASSPORT", "DRIVING_LICENSE", "NATIONAL_IDENTITY", **"value"**: string } ], **"externalConsumerIDOwnerBID"**: string } } ] } or { **"data"**: [ { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string }, **"errorDetails"**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }, **"paymentInstruments"**: [ { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"status"**: string, <br>**Available values:** "ACTIVE", "DISABLED", **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"tokenDetails"**: { **"tokenReferenceID"**: string, **"tokenRequestorID"**: string }, **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"expirationDate"**: string (ISO 8601), **"preferredTimestamp"**: dateTime, **"paymentAccountReference"**: string, **"paymentInstrumentReferenceId"**: string } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"status"**: string, <br>**Available values:** "ACTIVE", "DISABLED", **"address"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN", **"countryCode"**: string (ISO 3166-1-alpha3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", **"bankIdentifierCode"**: string, **"preferredTimestamp"**: dateTime } ], **"consumerInformation"**: { **"emails"**: [ string ], **"locale"**: string (iso-639-1), **"phones"**: [ string ], **"status"**: string, <br>**Available values:** "ACTIVE", "DISABLED", **"consent"**: { **"version"**: string, **"presenter"**: string, **"timeOfConsent"**: string }, **"fullName"**: string, **"lastName"**: string, **"firstName"**: string, **"middleName"**: string, **"countryCode"**: string (ISO 3166-1-alpha3), **"dateOfBirth"**: date, **"preferredname"**: string, **"externalConsumerID"**: string (uuid), **"nationalIdentifiers"**: [ { **"type"**: string, <br>**Available values:** "PASSPORT", "DRIVING_LICENSE", "NATIONAL_IDENTITY", **"value"**: string } ], **"externalConsumerIDOwnerBID"**: string } } ] } or { **"data"**: [ { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY" }, **"errorDetails"**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }, **"paymentInstruments"**: [ { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"status"**: string, <br>**Available values:** "ACTIVE", "DISABLED", **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"tokenDetails"**: { **"tokenReferenceID"**: string, **"tokenRequestorID"**: string }, **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"expirationDate"**: string (ISO 8601), **"preferredTimestamp"**: dateTime, **"paymentAccountReference"**: string, **"paymentInstrumentReferenceId"**: string } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"status"**: string, <br>**Available values:** "ACTIVE", "DISABLED", **"address"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN", **"countryCode"**: string (ISO 3166-1-alpha3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", **"bankIdentifierCode"**: string, **"preferredTimestamp"**: dateTime } ], **"consumerInformation"**: { **"emails"**: [ string ], **"locale"**: string (iso-639-1), **"phones"**: [ string ], **"status"**: string, <br>**Available values:** "ACTIVE", "DISABLED", **"consent"**: { **"version"**: string, **"presenter"**: string, **"timeOfConsent"**: string }, **"fullName"**: string, **"lastName"**: string, **"firstName"**: string, **"middleName"**: string, **"countryCode"**: string (ISO 3166-1-alpha3), **"dateOfBirth"**: date, **"preferredname"**: string, **"externalConsumerID"**: string (uuid), **"nationalIdentifiers"**: [ { **"type"**: string, <br>**Available values:** "PASSPORT", "DRIVING_LICENSE", "NATIONAL_IDENTITY", **"value"**: string } ], **"externalConsumerIDOwnerBID"**: string } } or { **"productCode"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE", **"productData"**: { **"name"**: string, **"value"**: string }, **"errorDetails"**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }, **"paymentInstruments"**: [ { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA-CARD", **"status"**: string, <br>**Available values:** "ACTIVE", "DISABLED", **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"tokenDetails"**: { **"tokenReferenceID"**: string, **"tokenRequestorID"**: string }, **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"expirationDate"**: string (ISO 8601), **"preferredTimestamp"**: dateTime, **"paymentAccountReference"**: string, **"paymentInstrumentReferenceId"**: string } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"status"**: string, <br>**Available values:** "ACTIVE", "DISABLED", **"address"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN", **"countryCode"**: string (ISO 3166-1-alpha3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", **"bankIdentifierCode"**: string, **"preferredTimestamp"**: dateTime } ], **"consumerInformation"**: { **"emails"**: [ string ], **"locale"**: string (iso-639-1), **"phones"**: [ string ], **"status"**: string, <br>**Available values:** "ACTIVE", "DISABLED", **"consent"**: { **"version"**: string, **"presenter"**: string, **"timeOfConsent"**: string }, **"fullName"**: string, **"lastName"**: string, **"firstName"**: string, **"middleName"**: string, **"countryCode"**: string (ISO 3166-1-alpha3), **"dateOfBirth"**: date, **"preferredname"**: string, **"externalConsumerID"**: string (uuid), **"nationalIdentifiers"**: [ { **"type"**: string, <br>**Available values:** "PASSPORT", "DRIVING_LICENSE", "NATIONAL_IDENTITY", **"value"**: string } ], **"externalConsumerIDOwnerBID"**: string } } ] }<br> |
| 400 | When any field validation fails or when any required field is missing or when request is inconsistent with the Request definitions.<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }<br> |
| 409 | Conflict - Enrollment is currently in progress for the specified externalConsumerId. Data retrieval cannot be performed until enrollment completes.<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }<br> |
| 422 | The requested operation is not supported for the specified product (for example, ANI or AVS).<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }<br> |
| 500 | Server Error<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/problem+json**: { **"reason"**: string, **"message"**: string }<br> |

---
## Alias Directory - Resolution
Alias Directory Service Resolution

### [POST] /visaIdCredential/v1/aliases/confirm
**aliasConfirm**

Retrieve information about an Alias. This will help confirm the identity of the person associated with the alias, ensuring secure and accurate transactions.

#### Parameters

| Name | Located in | Description | Required | Schema | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ------- |
| eX-Correlation-Id | header | Unique ID for every API request - an optional header. Generated by the API client. Used for end-to-end tracing/debugging. | No | string | No |

#### Request Body

| Required | Schema |
| -------- | ------ |
|  No | **application/json**: { **"filters"**: [ { **"field"**: string, <br>**Available values:** "DIRECTORY_NAME", "EXCLUDED_DIRECTORY_NAME", "ENTITY_ID", **"value"**: [  ] } ], **"aliasType"**: string, <br>**Available values:** "PHONE", "EMAIL", "DIRECTORY_ALIASID", "PAYNAME", "NATIVE_ALIAS", "NATIONAL_ID", **"aliasValue"**: , **"userDetails"**: { **"userName"**:  }, **"transactionDetails"**: { **"currencyCode"**: , **"contactNumberLast4"**:  } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | OK - Alias Confirm response<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"profile"**: { **"lastName"**: , **"firstName"**: , **"middleName"**: , **"lastNameLocal"**: , **"firstNameLocal"**: , **"middleNameLocal"**:  }, **"aliasType"**: , **"aliasValue"**: , **"directoryName"**: , **"additionalInfo"**: { **"validationResult"**: { **"status"**: string, <br>**Available values:** "MATCH", "NO_MATCH", "NOT_PROVIDED" } }, **"paymentCredentials"**: [ { **"type"**: , **"issuerName"**:  } or { **"type"**: , **"bankName"**:  } ] }<br> |
| 400 | Bad Request. Returned when any field validations fails or when any required fields is missing or when request is inconsistent with the Request definitions. <br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"errorCode"**: , **"errorMessages"**: [  ] }<br> |
| 422 | Unprocessable Entity The server understands the content type of the request entity, and the syntax of the request entity is correct, but it was unable to process the contained instructions.  | **application/json**: { **"errorCode"**: , **"errorMessages"**: [  ] }<br> |
| 500 | Internal Server Error <br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"errorCode"**: , **"errorMessages"**: [  ] }<br> |

### [POST] /visaIdCredential/v1/aliases/inquiry
**aliasInquiry**

This enables clients to check if an Alias or list of Aliases is available for Alias resolution. The response will indicate the Aliases that are available for Alias resolution. Up to 1000 Aliases can be sent in a single request.

#### Parameters

| Name | Located in | Description | Required | Schema | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ------- |
| eX-Correlation-Id | header | Unique ID for every API request - an optional header. Generated by the API client. Used for end-to-end tracing/debugging. | No | string | No |

#### Request Body

| Required | Schema |
| -------- | ------ |
|  No | **application/json**: { **"aliases"**: [  ], **"filters"**: [ { **"field"**: string, <br>**Available values:** "DIRECTORY_NAME", "EXCLUDED_DIRECTORY_NAME", "ENTITY_ID", **"value"**: [  ] } ], **"userDetails"**: { **"userName"**:  }, **"transactionDetails"**: { **"currencyCode"**:  } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | Alias Inquiry response<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"details"**: [ { **"aliasType"**: string, <br>**Available values:** "PHONE", "EMAIL", "DIRECTORY_ALIASID", "PAYNAME", "NATIVE_ALIAS", "NATIONAL_ID", **"aliasValue"**: , **"directories"**: [ { **"entities"**: [ { **"id"**: , **"preferredFor"**: [ { **"date"**: undefined (date-time), **"type"**: string, <br>**Available values:** "RECEIVE", "SEND", "PAY" } ] } ], **"directoryName"**:  } ], **"directoriesName"**: [  ] } ], **"summary"**: { **"aliasesFound"**: undefined (int32), **"aliasesTotal"**: undefined (int32), **"aliasesNotFound"**: undefined (int32), **"aliasesRepeated"**: undefined (int32) } }<br> |
| 400 | Bad Request. Returned when any field validations fails or when any required fields is missing or when request is inconsistent with the Request definitions. <br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"errorCode"**: , **"errorMessages"**: [  ] }<br> |
| 500 | Internal Server Error <br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"errorCode"**: , **"errorMessages"**: [  ] }<br> |

### [POST] /visaIdCredential/v1/aliases/resolve
**Alias Resolve**

Retrieve information about an Alias and the payment credential(s) associated with the Alias. This information can then be used to initiate a funds movement transaction. The parameters in the response may vary depending on the program configuration.

#### Parameters

| Name | Located in | Description | Required | Schema | Explode |
| ---- | ---------- | ----------- | -------- | ------ | ------- |
| eX-Correlation-Id | header | Unique ID for every API request - an optional header. Generated by the API client. Used for end-to-end tracing/debugging. | No | string | No |

#### Request Body

| Required | Schema |
| -------- | ------ |
|  No | **application/json**: { **"filters"**: [ { **"field"**: string, <br>**Available values:** "DIRECTORY_NAME", "EXCLUDED_DIRECTORY_NAME", "ENTITY_ID", **"value"**: [  ] } ], **"aliasType"**: string, <br>**Available values:** "PHONE", "EMAIL", "DIRECTORY_ALIASID", "PAYNAME", "NATIVE_ALIAS", "NATIONAL_ID", **"aliasValue"**: , **"userDetails"**: { **"userName"**:  }, **"transactionDetails"**: { **"currencyCode"**:  } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | OK - Alias Resolution response<br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"profile"**: { **"lastName"**: , **"firstName"**: , **"middleName"**: , **"contactInfo"**: [ { **"type"**: string, <br>**Available values:** "EMAIL", "PHONE", "DIRECTORY_ALIASID", **"value"**:  } ], **"dateOfBirth"**: , **"lastNameLocal"**: , **"preferredName"**: , **"firstNameLocal"**: , **"middleNameLocal"**:  }, **"directoryName"**: , **"identification"**: { **"type"**: , **"value"**: , **"verificationDetails"**: { **"authDateTime"**: undefined (date-time), **"verifiedEmail"**: , **"verifiedPhone"**: , **"creationDateTime"**: undefined (date-time), **"authMethodReference"**:  } }, **"paymentCredentials"**: [ { **"type"**: , **"cardType"**: , **"issuerName"**: , **"nameOnCard"**: , **"currencyCode"**: , **"accountNumber"**: , **"billingAddress"**: { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  }, **"expirationDate"**: undefined (YYYY-MM), **"lastFourDigits"**: , **"accountNumberType"**: string, <br>**Available values:** "NIUBIZ", "TOKEN", "PAN" } & { **"modifiedOn"**: undefined (date-time) } & { **"preferredFor"**: [ { **"date"**: undefined (date-time), **"type"**: string, <br>**Available values:** "RECEIVE", "SEND", "PAY" } ] } or { **"BIC"**: , **"type"**: , **"address"**: { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  }, **"bankCode"**: , **"bankName"**: , **"branchCode"**: , **"accountName"**: , **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", **"countryCode"**: undefined (We recommend to use the Alpha-3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: , **"accountNumber"**: , **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", "TOKEN", "CCI" } & { **"modifiedOn"**: undefined (date-time) } & { **"preferredFor"**: [ { **"date"**: undefined (date-time), **"type"**: string, <br>**Available values:** "RECEIVE", "SEND", "PAY" } ] } ] }<br> |
| 400 | Bad Request. Returned when any field validations fails or when any required fields is missing or when request is inconsistent with the Request definitions. <br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"errorCode"**: , **"errorMessages"**: [  ] }<br> |
| 422 | Unprocessable Entity The server understands the content type of the request entity, and the syntax of the request entity is correct, but it was unable to process the contained instructions.  | **application/json**: { **"errorCode"**: , **"errorMessages"**: [  ] }<br> |
| 500 | Internal Server Error <br>**Headers:**<br>**eX-Correlation-Id**: Unique external Correlation ID echoed back from the request. Used to track/debug requests across client and Visa systems.<br> | **application/json**: { **"errorCode"**: , **"errorMessages"**: [  ] }<br> |

---
### Webhooks

### [POST] /cpua/v1/asyncRequests/{requestTraceId}/notification
**Request Status Notification**

Visa invokes this endpoint to notify the client of the completion of an asynchronously processed request. The endpoint is registered and configured by the client in Visa Developer Platform (VDP).

#### Request Body

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"requestTraceId"**: string (uuid) } & { **"status"**: string, <br>**Available values:** "IN_PROGRESS", "COMPLETED", **"details"**: [ { **"intent"**: { **"type"**: string, <br>**Available values:** "PRODUCT_CODE", **"value"**: string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "VISA_PROTECT_A2A" }, **"status"**: string, <br>**Available values:** "SUCCESS", "FAILED", **"errorDetails"**: [ { **"field"**: string, **"reason"**: string, **"message"**: string } ] } ], **"consumerInformation"**: { **"externalConsumerID"**: string (uuid), **"externalConsumerIDOwnerBID"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 204 | No Content |  |
| 400 | When any field validation fails or when any required field is missing or when request is inconsistent with the Request definitions. | **application/problem+json**: { **"reason"**: string, **"details"**: [ { **"reason"**: string, **"location"**: string } ], **"message"**: string }<br> |
| 500 | Server Error | **application/problem+json**: { **"errorResponse"**: { **"reason"**: string, **"message"**: string } }<br> |

---
### Schemas

#### BankName Schema

Bank name of the payment credential

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| BankName | string | Bank name of the payment credential |  |

**Example**
<pre>Bank A</pre>

#### DateTime-1 Schema

ISO formatted Timestamp

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| DateTime-1 | undefined (date-time) | ISO formatted Timestamp |  |

**Example**
<pre>2021-01-01T22:52:46Z</pre>

#### DeleteCardPaymentInstrument-1 Schema

Payment credentials to be deleted

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type | string, <br>**Available values:** "CARD" | Type of payment instrument<br>*Enum:* `"CARD"`<br>*Example:* `"CARD"` | Yes |
| accountNumber | string | Primary account number of the card<br>*Example:* `"4111111145551140"` | Yes |

#### Address Schema

Billing Address details

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| city | string | City<br>*Example:* `"San Francisco"` | No |
| state | string (ISO 3166-2) | State (ISO 3166-2)<br>*Example:* `"CA"` | No |
| country | string (ISO 3166-1-alpha3) | Country code using 3-character ISO 3166 (Alpha 3) format<br>*Example:* `"USA"` | Yes |
| postalCode | string | Postal code of the address<br>*Example:* `"94105"` | No |
| addressLine1 | string | Address Line 1<br>*Example:* `"1000 Market Street"` | No |
| addressLine2 | string | Address line 2<br>*Example:* `"Building 56"` | No |
| addressLine3 | string | Address line 3<br>*Example:* `"Suite 101"` | No |

#### Product Schema

Product identifier used to route the request to the correct Visa product

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| productCode | string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE" | Product Identifier<br>*Enum:* `"CLICK_TO_PAY"`, `"ADDRESS_VERIFICATION_SERVICE"`, `"ACCOUNT_NAME_INQUIRY"`, `"ALIAS_DIRECTORY_SERVICE"`<br>*Example:* `"CLICK_TO_PAY"` | Yes |
| productData | { **"name"**: string, **"value"**: string } | Product specific payload parameters defined by product team. | No |

#### AlphaCountryCode Schema

Country code using 3-character ISO 3166 (Alpha 3) format

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AlphaCountryCode | string (ISO 3166-1-alpha3) | Country code using 3-character ISO 3166 (Alpha 3) format |  |

**Example**
<pre>USA</pre>

#### CurrencyCode Schema

Bank account currency code. Format: 3-character ISO-4217 (Alpha-3) currency code

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| CurrencyCode | string | Bank account currency code. Format: 3-character ISO-4217 (Alpha-3) currency code |  |

**Example**
<pre>USD</pre>

#### Consent Schema

Consent details

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| version | string | Specific version of the terms and conditions that the customer accept for the user solution<br>*Example:* `"1.0"` | No |
| presenter | string | Identifies the presenter of consent to the consumer<br>*Example:* `"Bank A"` | No |
| timeOfConsent | string | Date/Time from which the consent is valid, in ISO UTC format YYYY-MM-DDThh:mm:ss.000Z. Only accepts present and past dates.<br>*Example:* `"2020-05-05T12:12:12.000Z"` | Yes |

#### NationalIdentifiersList Schema

National identifier for the consumer

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| NationalIdentifiersList | [ { **"type"**: string, <br>**Available values:** "PASSPORT", "DRIVING_LICENSE", "NATIONAL_IDENTITY", **"value"**: string } ] | National identifier for the consumer |  |

#### AdditionalInfo-1 Schema

Additional information returned in the confirm response.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| validationResult | { **"status"**: string, <br>**Available values:** "MATCH", "NO_MATCH", "NOT_PROVIDED" } | Validation result for identity verification. | No |

#### NameOnCard Schema

Name that appears on the card

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| NameOnCard | string | Name that appears on the card |  |

**Example**
<pre>John Doe</pre>

#### PaymentInstrumentReferenceType Schema

Type of identifier provided in paymentInstrumentRef. Valid values 'PAYMENT_ACCOUNT_REFERENCE', 'TOKEN_REF_ID'. Future releases will add additional reference types.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentInstrumentReferenceType | string, <br>**Available values:** "PAYMENT_ACCOUNT_REFERENCE", "TOKEN_REF_ID" | Type of identifier provided in paymentInstrumentRef. Valid values 'PAYMENT_ACCOUNT_REFERENCE', 'TOKEN_REF_ID'. Future releases will add additional reference types. |  |

**Example**
<pre>PAYMENT_ACCOUNT_REFERENCE</pre>

#### DeleteBankAccountPaymentInstrument Schema

Payment credentials to be deleted

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type | string, <br>**Available values:** "BANK_ACCOUNT" | Type of payment instrument<br>*Enum:* `"BANK_ACCOUNT"`<br>*Example:* `"BANK_ACCOUNT"` | Yes |
| accountName | string | Bank account name, i.e., account holder name as recorded on the bank account<br>*Example:* `"Alex Miller"` | Yes |
| accountNumber | string | Bank account number<br>*Example:* `"1001001234"` | Yes |
| accountNumberType | string, <br>**Available values:** "IBAN", "DEFAULT" | Bank account number type. Valid values 'IBAN', 'DEFAULT'. If the IBAN format is not supported in a country, use DEFAULT.<br>*Enum:* `"IBAN"`, `"DEFAULT"`<br>*Example:* `"DEFAULT"` | Yes |

#### BankConfirmPath Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type |  | In this case, value must be: `BANK` <br>*Example:* `"BANK"` | Yes |
| bankName |  | Bank name of the payment credential  ISO20022 element name: Creditor Agent -> Financial Institution -> Name <br>*Example:* `"Bank of America"` | Yes |

#### Status Schema

Manage Consumer Status

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| Status | string, <br>**Available values:** "ACTIVE", "DISABLED" | Manage Consumer Status |  |

**Example**
<pre>ACTIVE</pre>

#### DateOfBirth Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| DateOfBirth | date |  |  |

#### RequestId Schema

Unique identifier of the request

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| RequestId | string (uuid) | Unique identifier of the request |  |

**Example**
<pre>351562ba-83cf-11ee-b962-0242ac120002</pre>

#### ProductCode Schema

Product Identifier

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| ProductCode | string, <br>**Available values:** "CLICK_TO_PAY", "ADDRESS_VERIFICATION_SERVICE", "ACCOUNT_NAME_INQUIRY", "ALIAS_DIRECTORY_SERVICE" | Product Identifier |  |

**Example**
<pre>CLICK_TO_PAY</pre>

#### GetConsumerInformation Schema

Consumer details

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| emails | [ string ] | Consumer's email address | No |
| locale | string (iso-639-1) | Language and country in which the product communicates with the consumer<br>*Example:* `"en_US"` | No |
| phones | [ string ] | Consumer's phone number according to ITU-T E.164 (2010) number structure. Do not use the "+" symbol. | No |
| status | string, <br>**Available values:** "ACTIVE", "DISABLED" | Manage Consumer Status<br>*Enum:* `"ACTIVE"`, `"DISABLED"`<br>*Example:* `"ACTIVE"` | No |
| consent | { **"version"**: string, **"presenter"**: string, **"timeOfConsent"**: string } | Consent details | No |
| fullName | string | Consumer's full name<br>*Example:* `"Alex Miller"` | No |
| lastName | string | Consumer's last name<br>*Example:* `"Miller"` | Yes |
| firstName | string | Consumer's first name<br>*Example:* `"Alex"` | Yes |
| middleName | string | Consumer's middle name<br>*Example:* `"Robert"` | No |
| countryCode | string (ISO 3166-1-alpha3) | Country code using 3-character ISO 3166 (Alpha 3) format<br>*Example:* `"USA"` | Yes |
| dateOfBirth | date |  | No |
| preferredname | string | Consumer's preferred name<br>*Example:* `"Alex"` | No |
| externalConsumerID | string (uuid) | Client-provided unique identifier of a consumer<br>*Example:* `"63421837-d597-4f0f-89e4-930c1a7b9e85"` | Yes |
| nationalIdentifiers | [ { **"type"**: string, <br>**Available values:** "PASSPORT", "DRIVING_LICENSE", "NATIONAL_IDENTITY", **"value"**: string } ] | National identifier for the consumer | No |
| externalConsumerIDOwnerBID | string | Visa Business Identifier (BID) of the entity to which an External Consumer ID belongs.  This field is optional for clients integrated prior to 3rd April 2025. Required for all other clients. Questions should be directed to your Visa Integration Specialist. <br>*Example:* `"10098765"` | No |

#### Bank-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| BIC |  | Bank account Business Identifier Code (BIC)  Conditional for select markets.   ISO20022 element name: Creditor Agent -> Financial Institution -> BICFI  | No |
| type |  | In this case, value must be: `BANK` <br>*Example:* `"BANK"` | Yes |
| address | { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  } |  | Yes |
| bankCode |  | Bank account bank code  Conditional for select markets.   ISO20022 element name: Creditor Agent -> Financial Institution -> Clearing System Member Identification <br>*Example:* `"173"` | No |
| bankName |  | Bank name of the payment credential  ISO20022 element name: Creditor Agent -> Financial Institution -> Name <br>*Example:* `"Bank A"` | Yes |
| branchCode |  | Bank account branch code  Conditional for select markets.   ISO20022 field name: Creditor Agent Branch Identification <br>*Example:* `"123456"` | No |
| accountName |  | Bank account name, i.e., account holder name as recorded on the bank account. Clients in CEMEA and the EU must use only one first letter of customer’s last name followed by dot symbol to create or modify an Alias record. For example, the alias record for customer John Smith should be created or modified by the Issuer with first and last name fields as 'John S.'  ISO20022 element name: Creditor Account -> Name <br>*Example:* `"Alex Miller"` | Yes |
| accountType | string, <br>**Available values:** "CHECKING", "SAVING" | Bank account type  ISO20022 element name: Creditor Account -> Type <br>*Enum:* `"CHECKING"`, `"SAVING"` | No |
| countryCode | undefined (We recommend to use the Alpha-3) | Bank account country code. <br> </br> Format: 3-character ISO-3166 (Alpha-3) country code  ISO20022 element name: Creditor Agent -> Financial Institution -> Country <br>*Example:* `"USA"` | Yes |
| bankCodeType | string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT" | Bank account bank code type  Conditional for select markets.   ISO20022 element name: Creditor Agent -> Financial Institution -> Clearing System Member Identification -> Clearing System Identification <br>*Enum:* `"ABA"`, `"SORT_CODE"`, `"DEFAULT"` | No |
| currencyCode |  | Bank account currency code  Format: 3-character ISO-4217 (Alpha-3) currency code  ISO20022 element name: Creditor Account -> Currency <br>*Example:* `"USD"` | Yes |
| accountNumber |  | Bank account number  ISO20022 element name: Creditor Account Number <br>*Example:* `"4111111145551140"` | Yes |
| accountNumberType | string, <br>**Available values:** "IBAN", "DEFAULT", "TOKEN", "CCI" | Bank account number type. Valid values: 'IBAN', 'DEFAULT', 'TOKEN' and 'CCI'. If the IBAN format is not supported in a country, use DEFAULT. <br>*Enum:* `"IBAN"`, `"DEFAULT"`, `"TOKEN"`, `"CCI"`<br>*Example:* `"DEFAULT"` | Yes |

#### GetConsumerInformation-1 Schema

Consumer details

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| emails | [ string ] | Consumer's email addresses | No |
| locale | string (iso-639-1) | Language and country in which the product communicates with the consumer<br>*Example:* `"en_US"` | No |
| phones | [ string ] | Consumer's phone numbers | No |
| status | string, <br>**Available values:** "ACTIVE", "DISABLED" | Manage Consumer Status<br>*Enum:* `"ACTIVE"`, `"DISABLED"`<br>*Example:* `"ACTIVE"` | No |
| consent | { **"version"**: string, **"presenter"**: string, **"timeOfConsent"**: string } | Consent details | No |
| lastName | string | Consumer's last name<br>*Example:* `"Miller"` | Yes |
| firstName | string | Consumer's first name<br>*Example:* `"Alex"` | Yes |
| middleName | string | Consumer's middle name<br>*Example:* `"Robert"` | No |
| countryCode | string (ISO 3166-1-alpha3) | Country code using 3-character ISO 3166 (Alpha 3) format<br>*Example:* `"USA"` | Yes |
| externalConsumerID | string (uuid) | Client-provided unique identifier of a consumer<br>*Example:* `"63421837-d597-4f0f-89e4-930c1a7b9e85"` | Yes |
| nationalIdentifiers | [ { **"type"**: string, <br>**Available values:** "PASSPORT", "DRIVING_LICENSE", "NATIONAL_IDENTITY", **"value"**: string } ] | National identifier for the consumer | No |
| externalConsumerIDOwnerBID | string | Visa Business Identifier (BID) of the entity to which an External Consumer ID belongs.  This field is optional for clients integrated prior to 3rd April 2025. Required for all other clients. Questions should be directed to your Visa Integration Specialist. <br>*Example:* `"10098765"` | No |

#### TransactionDetails-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| currencyCode |  | ISO 4217 currency code. Allows a client to specify the currency of the payment credential returned in the Alias Resolution response.  ISO20022 element name: Creditor Account - > Currency <br>*Example:* `"USD"` | No |

#### AliasInquiryResponseInternal-2 Schema

Alias Inquiry Response Payload

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| details | [ { **"aliasType"**: string, <br>**Available values:** "PHONE", "EMAIL", "DIRECTORY_ALIASID", "PAYNAME", "NATIVE_ALIAS", "NATIONAL_ID", **"aliasValue"**: , **"directories"**: [ { **"entities"**: [ { **"id"**: , **"preferredFor"**: [ { **"date"**: undefined (date-time), **"type"**: string, <br>**Available values:** "RECEIVE", "SEND", "PAY" } ] } ], **"directoryName"**:  } ], **"directoriesName"**: [  ] } ] | Alias information associated with found records | No |
| summary | { **"aliasesFound"**: undefined (int32), **"aliasesTotal"**: undefined (int32), **"aliasesNotFound"**: undefined (int32), **"aliasesRepeated"**: undefined (int32) } | Summary of found Aliases | Yes |

**Example**
<pre>{
  "details": [
    {
      "aliasType": "PHONE",
      "aliasValue": "123456",
      "directories": [
        {
          "entities": [
            {
              "id": "1101"
            },
            {
              "id": "1102",
              "preferredFor": [
                {
                  "date": "1980-02-01T10:00:00Z",
                  "type": "RECEIVE"
                }
              ]
            }
          ],
          "directoryName": "DIRECTORY_A"
        },
        {
          "directoryName": "DIRECTORY_B"
        }
      ],
      "directoriesName": [
        "DIRECTORY_A",
        "DIRECTORY_B"
      ]
    }
  ],
  "summary": {
    "aliasesFound": 1,
    "aliasesTotal": 1,
    "aliasesNotFound": 0,
    "aliasesRepeated": 0
  }
}</pre>

#### GetCardPaymentInstrument Schema

Payment credentials details to be linked

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type | string, <br>**Available values:** "CARD", "NON-VISA-CARD" | Type of payment instrument<br>*Enum:* `"CARD"`, `"NON-VISA-CARD"`<br>*Example:* `"CARD"` | Yes |
| status | string, <br>**Available values:** "ACTIVE", "DISABLED" | Manage Consumer Status<br>*Enum:* `"ACTIVE"`, `"DISABLED"`<br>*Example:* `"ACTIVE"` | No |
| cardType | string | Card type description. Reference to Field 62.23—Product ID of available card products<br>*Example:* `"Visa Platinum"` | No |
| issuerName | string | Name of the issuer of the card<br>*Example:* `"Bank A"` | No |
| nameOnCard | string | Name that appears on the card<br>*Example:* `"John Doe"` | Yes |
| currencyCode | string | Bank account currency code. Format: 3-character ISO-4217 (Alpha-3) currency code<br>*Example:* `"USD"` | No |
| preferredFor | [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ] | Consumer's preferred use(s) for this payment instrument<br>*Example:* `[{"type":"SEND"},{"type":"RECEIVE"}]` | No |
| tokenDetails | { **"tokenReferenceID"**: string, **"tokenRequestorID"**: string } | Token details | No |
| accountNumber | string | Primary account number of the card<br>*Example:* `"4111111145551140"` | Yes |
| billingAddress | { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string } | Billing Address details | Yes |
| expirationDate | string (ISO 8601) | Expiration date of the card<br>*Example:* `"2030-01"` | Yes |
| preferredTimestamp | dateTime | ISO 8601 timestamp indicating when this payment instrument was last set as preferred. Populated from ADS.<br>*Example:* `"2024-03-15T10:30:00Z"` | No |
| paymentAccountReference | string | Unique payment account reference for the card | No |
| paymentInstrumentReferenceId | string | Unique identifier for the payment instrument | No |

#### Card-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type |  | In this case, value must be: `CARD` <br>*Example:* `"CARD"` | Yes |
| cardType |  | Card type description. Reference to Field 62.23—Product ID of available card products. e.g. Visa Platinum. <br>*Example:* `"Visa Platinum"` | No |
| issuerName |  | Name of the issuer of the card <br>*Example:* `"Bank A"` | No |
| nameOnCard |  | Name that appears on the Card. Clients in CEMEA and the EU must use only one first letter of customer’s last name followed by dot symbol to create or modify an Alias record. For example, Alias record for customer John Smith should be created or modified by Participant with First and Last name fields as 'John S.'<br>*Example:* `"Alex Miller"` | No |
| currencyCode |  | Recipient card currency code  Format: 3-character ISO-4217 (Alpha-3) currency code  (Refer to Payouts Endpoint Guide on country-specific required fields and lengths)  ISO20022 field name: Creditor Account Currency <br>*Example:* `"USD"` | No |
| accountNumber |  | Primary account number of the card <br>*Example:* `"4111111145551142"` | Yes |
| billingAddress | { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  } |  | Yes |
| expirationDate | undefined (YYYY-MM) | Expiration date for the card. This is required for certain markets. <br>*Example:* `"2026-01"` | No |
| lastFourDigits |  | Last four digits of the PAN of the card <br>*Example:* `"1142"` | No |
| accountNumberType | string, <br>**Available values:** "NIUBIZ", "TOKEN", "PAN" | Card account number type. Valid values: 'NIUBIZ', 'PAN' and 'TOKEN'. When the field is not included, the default value is 'PAN' <br>*Enum:* `"NIUBIZ"`, `"TOKEN"`, `"PAN"`<br>*Example:* `"TOKEN"` | No |

#### Error422ResolveResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error.<br>*Example:* `"DCC-30003"` | Yes |
| errorMessages | [  ] | Description of the error reason | Yes |

#### AlphaCountryCode-2 Schema

this field contains ISO3166 country code (Alpha-3).

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AlphaCountryCode-2 | undefined (We recommend to use the Alpha-3) | this field contains ISO3166 country code (Alpha-3). |  |

**Example**
<pre>USA</pre>

#### AliasInquiryEntityItem-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| id |  | Id of the entity used to identify the entity<br>*Example:* `"entity1"` | No |
| preferredFor | [ { **"date"**: undefined (date-time), **"type"**: string, <br>**Available values:** "RECEIVE", "SEND", "PAY" } ] | Preferred for information for each entity | No |

#### AccountName Schema

Bank account name, i.e., account holder name as recorded on the bank account

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AccountName | string | Bank account name, i.e., account holder name as recorded on the bank account |  |

**Example**
<pre>Alex Miller</pre>

#### CardConfirmPath-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type |  | In this case, value must be: `CARD` <br>*Example:* `"CARD"` | Yes |
| issuerName |  | Name of the issuer of the card <br>*Example:* `"Bank A"` | No |

#### BIC-1 Schema

Business Identifier Code (BIC) of the Sponsor FI (Acquirer)
ISO20022 field name: Debtor Agent FI BIC

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| BIC-1 |  | Business Identifier Code (BIC) of the Sponsor FI (Acquirer) ISO20022 field name: Debtor Agent FI BIC  |  |

**Example**
<pre>AAAABBCC123</pre>

#### PaymentInstrumentList-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentInstrumentList-1 | [ { **"type"**: string, <br>**Available values:** "CARD", "NON-VISA CARD", **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"expirationDate"**: string (ISO 8601), **"AFAuthentication"**: boolean, **"paymentInstrumentConsent"**: boolean } or { **"type"**: string, <br>**Available values:** "BANK_ACCOUNT", **"address"**: { **"city"**: string, **"state"**: string (ISO 3166-2), **"country"**: string (ISO 3166-1-alpha3), **"postalCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN", **"countryCode"**: string (ISO 3166-1-alpha3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "SEND", "RECEIVE", "PAY" } ], **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", **"bankIdentifierCode"**: string } ] |  |  |

#### AliasInquirySummary-1 Schema

Summary of found Aliases

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| aliasesFound | undefined (int32) | Number of aliases found | Yes |
| aliasesTotal | undefined (int32) | Number of aliases in request | Yes |
| aliasesNotFound | undefined (int32) | Number of aliases not found | Yes |
| aliasesRepeated | undefined (int32) | Number of aliases repeated | Yes |

#### AliasResolveRequest-2 Schema

Alias information to resolve and return payment credentials

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| filters | [ { **"field"**: string, <br>**Available values:** "DIRECTORY_NAME", "EXCLUDED_DIRECTORY_NAME", "ENTITY_ID", **"value"**: [  ] } ] | List of the filter to apply in the request | No |
| aliasType | string, <br>**Available values:** "PHONE", "EMAIL", "DIRECTORY_ALIASID", "PAYNAME", "NATIVE_ALIAS", "NATIONAL_ID" | The type of Alias provided in aliasValue.  ISO20022 element name: Proxy -> Type <br>*Enum:* `"PHONE"`, `"EMAIL"`, `"DIRECTORY_ALIASID"`, `"PAYNAME"`, `"NATIVE_ALIAS"`, `"NATIONAL_ID"`<br>*Example:* `"PHONE"` | Yes |
[...]
